Modify

Opened 9 years ago

Closed 6 years ago

#266 closed defect (fixed)

'NoneType' object has no attribute 'replace'

Reported by: noc@… Owned by: bas
Priority: major Milestone:
Component: email2trac Version: 2.1.0
Keywords: notify exception Cc:

Description (last modified by bas)

$Id: email2trac.py.in 521 2011-06-06 08:56:45Z bas $

Ticket created but notification does not send (email2trac ends with error). Exception on call tn.notify(tkt, new, modtime) of def notify(self, tkt, new=True, modtime=0)

What's wrong? Searched google but no one useful advice found.

sh # email2trac -d --project=project < msg.txt
msg.txt:
2011-08-16 14:37:39,692 email2trac project: Found trac version: 0.12
2011-08-16 14:37:39,928 email2trac project: Loading environment /some/where/project
2011-08-16 14:37:40,223 email2trac project: Main function parse
2011-08-16 14:37:40,232 email2trac project: function get_message_parts()
2011-08-16 14:37:40,233 email2trac project:      Message part: Main-Type: multipart
2011-08-16 14:37:40,233 email2trac project:      Message part: Content-Type: multipart/mixed
2011-08-16 14:37:40,233 email2trac project:      Skipping multipart container
2011-08-16 14:37:40,233 email2trac project:      Message part: Main-Type: text
2011-08-16 14:37:40,234 email2trac project:      Message part: Content-Type: text/plain
2011-08-16 14:37:40,234 email2trac project: function inline_part()
2011-08-16 14:37:40,235 email2trac project:      Message part: Main-Type: text
2011-08-16 14:37:40,235 email2trac project:      Message part: Content-Type: text/plain
2011-08-16 14:37:40,235 email2trac project: function inline_part()
2011-08-16 14:37:40,237 email2trac project: function unique_attachment_names()
2011-08-16 14:37:40,237 email2trac project: function get_body_text()
2011-08-16 14:37:40,238 email2trac project: function debug_attachments
2011-08-16 14:37:40,255 email2trac project: function email_to_unicode
2011-08-16 14:37:40,256 email2trac project: function email_to_unicode
2011-08-16 14:37:40,260 email2trac project: function email_header_acl: white_list
2011-08-16 14:37:40,260 email2trac project: white_list not defined, all messages are allowed.
2011-08-16 14:37:40,260 email2trac project: function email_header_acl: black_list
2011-08-16 14:37:40,261 email2trac project: function email_header_acl: recipient_list
2011-08-16 14:37:40,261 email2trac project: recipient_list not defined, all messages are allowed.
2011-08-16 14:37:40,262 email2trac project: function email_to_unicode
2011-08-16 14:37:40,262 email2trac project: subject: Test1234567890
2011-08-16 14:37:40,264 email2trac project: function ticket_update_by_subject
2011-08-16 14:37:40,264 email2trac project: function new_ticket
2011-08-16 14:37:40,279 email2trac project: function set_reply_fields
2011-08-16 14:37:40,279 email2trac project: function set_ticket_fields
2011-08-16 14:37:40,279 email2trac project: trac[summary] =
2011-08-16 14:37:40,280 email2trac project: trac[reporter] =
2011-08-16 14:37:40,280 email2trac project: trac[owner] =
2011-08-16 14:37:40,280 email2trac project: trac[description] =
2011-08-16 14:37:40,281 email2trac project: trac[type] = defect
2011-08-16 14:37:40,281 email2trac project: used type = defect
2011-08-16 14:37:40,281 email2trac project: trac[status] =
2011-08-16 14:37:40,281 email2trac project: trac[priority] = major
2011-08-16 14:37:40,282 email2trac project: used priority = major
2011-08-16 14:37:40,282 email2trac project: trac[milestone] =
2011-08-16 14:37:40,282 email2trac project: trac[component] =
2011-08-16 14:37:40,282 email2trac project: trac[resolution] = None
2011-08-16 14:37:40,283 email2trac project: trac[keywords] =
2011-08-16 14:37:40,283 email2trac project: trac[cc] = 
2011-08-16 14:37:40,283 email2trac project: used cc = 
2011-08-16 14:37:40,283 email2trac project: trac[time] =
2011-08-16 14:37:40,284 email2trac project: trac[changetime] =
2011-08-16 14:37:40,284 email2trac project: function update_ticket_fields
2011-08-16 14:37:40,284 email2trac project: user_field   priority = major
2011-08-16 14:37:40,284 email2trac project: ticket_field         priority = major
2011-08-16 14:37:40,285 email2trac project: user_field   cc = 
2011-08-16 14:37:40,285 email2trac project: ticket_field         cc = 
2011-08-16 14:37:40,285 email2trac project: user_field   type = defect
2011-08-16 14:37:40,285 email2trac project: ticket_field         type = defect
2011-08-16 14:37:40,286 email2trac project: function get_message_parts()
2011-08-16 14:37:40,286 email2trac project:      Message part: Main-Type: multipart
2011-08-16 14:37:40,286 email2trac project:      Message part: Content-Type: multipart/mixed
2011-08-16 14:37:40,286 email2trac project:      Skipping multipart container
2011-08-16 14:37:40,287 email2trac project:      Message part: Main-Type: text
2011-08-16 14:37:40,287 email2trac project:      Message part: Content-Type: text/plain
2011-08-16 14:37:40,287 email2trac project: function inline_part()
2011-08-16 14:37:40,288 email2trac project:      Message part: Main-Type: text
2011-08-16 14:37:40,288 email2trac project:      Message part: Content-Type: text/plain
2011-08-16 14:37:40,288 email2trac project: function inline_part()
2011-08-16 14:37:40,289 email2trac project: function unique_attachment_names()
2011-08-16 14:37:40,289 email2trac project: function get_body_text()
2011-08-16 14:37:40,335 email2trac project: function attach_attachments()
2011-08-16 14:37:40,335 email2trac project: function notify()
2011-08-16 14:37:40,335 email2trac project:      Notify reporter set
2011-08-16 14:37:40,336 email2trac project:      Using Email2TracNotification function AlwaysNotifyReporter
2011-08-16 14:37:40,432 email2trac project: Failure sending notification on creation of ticket #118: 'NoneType' object has no attribute 'replace'
saving email to /tmp/tmpyuLxBO.email2trac
writing body to /tmp/tmphu9l46.email2trac

/tmp/tmpyuLxBO.email2trac: From noc@… Wed Mar 8 15:29:17 2006 Return-Path: <noc@…> X-Original-To: test-user@… Delivered-To: test-user@… Received: from smtp.host.com (smtp.host.com [1.1.1.1])

by localhost.localdomain (Postfix) with ESMTP id 507352800682 for <test-user@…>; Tue, 16 Aug 2011 15:29:17 +0100 (EET)

Message-ID: <440EFD9A.6070200@…> Date: Tue, 16 Aug 2011 15:29:15 -0400 From: NOC <noc@…> User-Agent: elm 2.8 (Windows/20051201) MIME-Version: 1.0 To: test-user@… Subject: Test1234567890 Content-Type: multipart/mixed; boundary="------------070800080005060203060809" X-OriginalArrivalTime?: 16 Aug 2011 15:29:17.0190 (UTC)

FILETIME=[AE40B940:01C642BC]

This is a multi-part message in MIME format.


Content-Type: text/plain; charset=ISO-8859-1; format=flowed Content-Transfer-Encoding: 7bit

Test12345 Test12345

-- --

  • *
  • NOC e-mail: noc@… *
  • *


Content-Type: text/plain;

name="basje.txt"

Content-Transfer-Encoding: 7bit Content-Disposition: inline;

filename="basje.txt"

test12345 test12345


/tmp/tmphu9l46.email2trac:

Test12345
Test12345

--
--
********************************************************************
*                                                                  *
*  NOC                                   e-mail: noc@host.com    *
*                                                                  *
********************************************************************

test12345
test12345

/etc/email2trac.conf:
[DEFAULT]
parentdir: /some/where
umask: 022
spam_level: 1
reply_all : 0
mailto_link: 0
umask: 022
email_header: 0
trac_version: 0.12
enable_syslog : 0
debug: 99
log_type: file
log_file: /tmp/email2trac.log
log_level: DEBUG
mailto_cc: 0
mailto_link: 0
notify_reporter: 1
# alternate_notify_template :
# alternate_notify_template_update :
drop_spam : 0
verbatim_format: 1
strip_signature: 0
email_quote: >
strip_quotes: 0
ignore_trac_user_settings: 0
black_list: MAILER-DAEMON@
drop_alternative_html_version: 1
ticket_update: 1
# workflow_<ticket status>: <workflow name>
workflow_closed: reopen
workflow_infoneeded: provideinfo
support_component: support
devel_component : devel

[project]
debug: 99
sh # python -v
# installing zipimport hook
import zipimport # builtin
# installed zipimport hook
# /usr/lib/python2.4/site.pyc matches /usr/lib/python2.4/site.py
import site # precompiled from /usr/lib/python2.4/site.pyc
# /usr/lib/python2.4/os.pyc matches /usr/lib/python2.4/os.py
import os # precompiled from /usr/lib/python2.4/os.pyc
import posix # builtin
# /usr/lib/python2.4/posixpath.pyc matches /usr/lib/python2.4/posixpath.py
import posixpath # precompiled from /usr/lib/python2.4/posixpath.pyc
# /usr/lib/python2.4/stat.pyc matches /usr/lib/python2.4/stat.py
import stat # precompiled from /usr/lib/python2.4/stat.pyc
import errno # builtin
# /usr/lib/python2.4/UserDict.pyc matches /usr/lib/python2.4/UserDict.py
import UserDict # precompiled from /usr/lib/python2.4/UserDict.pyc
# /usr/lib/python2.4/copy_reg.pyc matches /usr/lib/python2.4/copy_reg.py
import copy_reg # precompiled from /usr/lib/python2.4/copy_reg.pyc
# /usr/lib/python2.4/types.pyc matches /usr/lib/python2.4/types.py
import types # precompiled from /usr/lib/python2.4/types.pyc
# zipimport: found 53 names in /usr/lib/python2.4/site-packages/Genshi-0.6-py2.4.egg
# zipimport: found 516 names in /usr/lib/python2.4/site-packages/Trac-0.12.2-py2.4.egg
# zipimport: found 36 names in /usr/lib/python2.4/site-packages/MySQL_python-1.2.3-py2.4-linux-i686.egg
# zipimport: found 52 names in /usr/lib/python2.4/site-packages/TracAccountManager-0.3dev-py2.4.egg
# zipimport: found 11 names in /usr/lib/python2.4/site-packages/PageAuthzPolicyEditor-0.1dev_r3719-py2.4.egg
import japanese # directory /usr/lib/python2.4/site-packages/japanese
# /usr/lib/python2.4/site-packages/japanese/__init__.pyc matches /usr/lib/python2.4/site-packages/japanese/__init__.py
import japanese # precompiled from /usr/lib/python2.4/site-packages/japanese/__init__.pyc
import japanese.aliases # directory /usr/lib/python2.4/site-packages/japanese/aliases
# /usr/lib/python2.4/site-packages/japanese/aliases/__init__.pyc matches /usr/lib/python2.4/site-packages/japanese/aliases/__init__.py
import japanese.aliases # precompiled from /usr/lib/python2.4/site-packages/japanese/aliases/__init__.pyc
import encodings # directory /usr/lib/python2.4/encodings
# /usr/lib/python2.4/encodings/__init__.pyc matches /usr/lib/python2.4/encodings/__init__.py
import encodings # precompiled from /usr/lib/python2.4/encodings/__init__.pyc
# /usr/lib/python2.4/codecs.pyc matches /usr/lib/python2.4/codecs.py
import codecs # precompiled from /usr/lib/python2.4/codecs.pyc
import _codecs # builtin
# /usr/lib/python2.4/encodings/aliases.pyc matches /usr/lib/python2.4/encodings/aliases.py
import encodings.aliases # precompiled from /usr/lib/python2.4/encodings/aliases.pyc
# /usr/lib/python2.4/warnings.pyc matches /usr/lib/python2.4/warnings.py
import warnings # precompiled from /usr/lib/python2.4/warnings.pyc
# /usr/lib/python2.4/linecache.pyc matches /usr/lib/python2.4/linecache.py
import linecache # precompiled from /usr/lib/python2.4/linecache.pyc
# /usr/lib/python2.4/encodings/utf_8.pyc matches /usr/lib/python2.4/encodings/utf_8.py
import encodings.utf_8 # precompiled from /usr/lib/python2.4/encodings/utf_8.pyc
Python 2.4.3 (#1, Mar  5 2011, 21:25:56)
[GCC 4.1.2 20080704 (Red Hat 4.1.2-50)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
dlopen("/usr/lib/python2.4/lib-dynload/readline.so", 2);
import readline # dynamically loaded from /usr/lib/python2.4/lib-dynload/readline.so

Attachments (0)

Change History (21)

comment:1 follow-up: Changed 9 years ago by bas

  • Version changed from 2.4.0 to 2.1.0

which email2trac version do you use? I just tested it with latest release and everthing worked as expected. If you unset notify_reporter. Does email2tarc still crashes

comment:2 Changed 9 years ago by bas

  • Status changed from new to assigned

comment:3 Changed 9 years ago by bas

  • Description modified (diff)

comment:4 in reply to: ↑ 1 Changed 9 years ago by anonymous

Replying to bas:

which email2trac version do you use? I just tested it with latest release and everthing worked as expected. If you unset notify_reporter. Does email2tarc still crashes

email2trac-2.1.0

comment:5 follow-up: Changed 9 years ago by bas

  • Description modified (diff)

Did you also unset notify_reporter does this prevent the crash

comment:6 in reply to: ↑ 5 Changed 9 years ago by noc@…

Replying to bas:

Did you also unset notify_reporter does this prevent the crash

If I unset notify_reporter email2trac does not crash.
But I must to notify reporter when ticked was created.
(If I create ticket via web interface and choose email trac sends report.)
Trac sends email reports after assigning ticket (what was created by email2trac) and other actions, but I have no email when ticket created.
trac.ini:
always_notify_reporter = true
always_notify_owner = true
always_notify_updater = true

comment:7 Changed 9 years ago by bas

You must also enable in trac.ini:

[notification]
smtp_enabled = true

notify_reporter is only used in environments that want to send notifications when email is accepted but no notification when ticket is accepted via the web interface.

comment:8 Changed 9 years ago by noc@…

You must also enable in trac.ini:
 {{{
 [notification]
 smtp_enabled = true
 }}}


 notify_reporter is only used in environments that want to send
 notifications when email is accepted but no notification when ticket is
 accepted  via the web interface.

As I wrote: When I insert ticket via WEB interface I have e-mail
notification.
[notification]
smtp_enabled = true
smtp_from = some_one@some.host
smtp_from_name = some_one
smtp_replyto = some_one@some.host
smtp_default_domain = some.host
smtp_always_cc =
smtp_always_bcc =
smtp_subject_prefix = __default__
always_notify_reporter = true
always_notify_owner = true
always_notify_updater = true
use_public_cc  = false
use_short_addr = false
ignore_domains =
mime_encoding = base64
ticket_subject_template = $prefix #$ticket.id: $summary
email_sender = SmtpEmailSender
smtp_server = smtp.some.host
smtp_port = 25
smtp_user = do-not-reply@ some.host
smtp_password = some_smtp_password
use_tls = false

comment:9 Changed 9 years ago by bas

I have read your message correct, but now i have all notifications settings

Can you run this again on the command line with this setting in email2trac.conf:

  • ignore_trac_user_settings : 1

and maybe add some print statements to AlwaysNotifyReporter?:

    (torcpts, ccrcpts) = self.get_recipients(resid)

after these line put:

    print torcpts, ccrcpts, sender_email

comment:10 follow-up: Changed 9 years ago by noc@…

and maybe add some print statements to AlwaysNotifyReporter:
 {{{
     (torcpts, ccrcpts) = self.get_recipients(resid)
 }}}

 after these line put:
 {{{
     print torcpts, ccrcpts, sender_email
 }}}

Added as you wrote:
def AlwaysNotifyReporter(self, resid):
    """
    Copy of def notify() to manipulate recipents to always include reporter
for the
    notification.
    """
    (torcpts, ccrcpts) = self.get_recipients(resid)

    print torcpts, ccrcpts, sender_email

    if not tktparser.email_header_acl('notify_reporter_black_list',
sender_email, False):
        ## additionally append sender (regardeless of settings in trac.ini)
        #
        if not sender_email in torcpts:
            torcpts.append(sender_email)

    self.begin_send()
    self.send(torcpts, ccrcpts)
    self.finish_send()

Executed:
[root]# cat msg.txt | email2trac -p project
saving email to /tmp/tmptaqsHl.email2trac
writing body to /tmp/tmpQA-5v2.email2trac

P.S. I know /c/c++/asm/ARM asm/Delphi/ but do not know Python and have no
time to learn it.

comment:11 in reply to: ↑ 10 ; follow-ups: Changed 9 years ago by bas

Replying to noc@…:

Executed: [root]# cat msg.txt | email2trac -p project

Did you enabled notify_reporter in email2trac.conf. I would expect an error and some output

P.S. I know /c/c++/asm/ARM asm/Delphi/ but do not know Python and have no time to learn it.

If you know that many, then python is not that difficult ;-).

comment:12 in reply to: ↑ 11 Changed 9 years ago by noc@…

Replying to bas:

Replying to noc@… :

Executed: [root]# cat msg.txt | email2trac -p project

Did you enabled notify_reporter in email2trac.conf. I would expect an error and some output

email2trac.conf: --- cut mailto_cc: 0 mailto_link: 0 notify_reporter: 1 ignore_trac_user_settings : 1 --- cut

No errors and very simple output:
# cat msg.txt | email2trac -p project saving email to /tmp/tmpFThQsM.email2trac writing body to /tmp/tmp-YroQw?.email2trac That's all.

comment:13 in reply to: ↑ 11 Changed 9 years ago by noc@…

Replying to bas:

Replying to noc@… :

Executed: [root]# cat msg.txt | email2trac -p project

Did you enabled notify_reporter in email2trac.conf. I would expect an error and some output

P.S. I know /c/c++/asm/ARM asm/Delphi/ but do not know Python and have no time to learn it.

Sorry. I'v mistaken. Debug output:

2011-08-22 15:20:53,918 email2trac project: Found trac version: 0.12
2011-08-22 15:20:54,153 email2trac project: Loading environment /var/dev/trac/project
2011-08-22 15:20:54,447 email2trac project: Main function parse
2011-08-22 15:20:54,457 email2trac project: function get_message_parts()
2011-08-22 15:20:54,458 email2trac project:      Message part: Main-Type: multipart
2011-08-22 15:20:54,458 email2trac project:      Message part: Content-Type: multipart/mixed
2011-08-22 15:20:54,458 email2trac project:      Skipping multipart container
2011-08-22 15:20:54,458 email2trac project:      Message part: Main-Type: text
2011-08-22 15:20:54,459 email2trac project:      Message part: Content-Type: text/plain
2011-08-22 15:20:54,459 email2trac project: function inline_part()
2011-08-22 15:20:54,460 email2trac project:      Message part: Main-Type: text
2011-08-22 15:20:54,460 email2trac project:      Message part: Content-Type: text/plain
2011-08-22 15:20:54,460 email2trac project: function inline_part()
2011-08-22 15:20:54,462 email2trac project: function unique_attachment_names()
2011-08-22 15:20:54,462 email2trac project: function get_body_text()
2011-08-22 15:20:54,463 email2trac project: function debug_attachments
2011-08-22 15:20:54,480 email2trac project: function email_to_unicode
2011-08-22 15:20:54,481 email2trac project: function email_to_unicode
2011-08-22 15:20:54,485 email2trac project: function email_header_acl: white_list
2011-08-22 15:20:54,485 email2trac project: white_list not defined, all messages are allowed.
2011-08-22 15:20:54,485 email2trac project: function email_header_acl: black_list
2011-08-22 15:20:54,486 email2trac project: function email_header_acl: recipient_list
2011-08-22 15:20:54,486 email2trac project: recipient_list not defined, all messages are allowed.
2011-08-22 15:20:54,487 email2trac project: function email_to_unicode
2011-08-22 15:20:54,487 email2trac project: subject: Test1234567890
2011-08-22 15:20:54,489 email2trac project: function ticket_update_by_subject
2011-08-22 15:20:54,489 email2trac project: function new_ticket
2011-08-22 15:20:54,504 email2trac project: function set_reply_fields
2011-08-22 15:20:54,504 email2trac project: function set_ticket_fields
2011-08-22 15:20:54,504 email2trac project: trac[summary] =
2011-08-22 15:20:54,505 email2trac project: trac[reporter] =
2011-08-22 15:20:54,505 email2trac project: trac[owner] =
2011-08-22 15:20:54,505 email2trac project: trac[description] =
2011-08-22 15:20:54,505 email2trac project: trac[type] = defect
2011-08-22 15:20:54,506 email2trac project: used type = defect
2011-08-22 15:20:54,506 email2trac project: trac[status] =
2011-08-22 15:20:54,506 email2trac project: trac[priority] = major
2011-08-22 15:20:54,506 email2trac project: used priority = major
2011-08-22 15:20:54,507 email2trac project: trac[milestone] =
2011-08-22 15:20:54,507 email2trac project: trac[component] =
2011-08-22 15:20:54,507 email2trac project: trac[resolution] = None
2011-08-22 15:20:54,507 email2trac project: trac[keywords] =
2011-08-22 15:20:54,508 email2trac project: trac[cc] = noc@…
2011-08-22 15:20:54,508 email2trac project: used cc = noc@…
2011-08-22 15:20:54,508 email2trac project: trac[time] =
2011-08-22 15:20:54,508 email2trac project: trac[changetime] =
2011-08-22 15:20:54,509 email2trac project: function update_ticket_fields
2011-08-22 15:20:54,509 email2trac project: user_field   priority = major
2011-08-22 15:20:54,509 email2trac project: ticket_field         priority = major
2011-08-22 15:20:54,509 email2trac project: user_field   cc = noc@…
2011-08-22 15:20:54,510 email2trac project: ticket_field         cc = noc@…
2011-08-22 15:20:54,510 email2trac project: user_field   type = defect
2011-08-22 15:20:54,510 email2trac project: ticket_field         type = defect
2011-08-22 15:20:54,510 email2trac project: function get_message_parts()
2011-08-22 15:20:54,511 email2trac project:      Message part: Main-Type: multipart
2011-08-22 15:20:54,511 email2trac project:      Message part: Content-Type: multipart/mixed
2011-08-22 15:20:54,511 email2trac project:      Skipping multipart container
2011-08-22 15:20:54,511 email2trac project:      Message part: Main-Type: text
2011-08-22 15:20:54,511 email2trac project:      Message part: Content-Type: text/plain
2011-08-22 15:20:54,512 email2trac project: function inline_part()

comment:14 Changed 9 years ago by noc@…

2011-08-22 15:20:54,512 email2trac cy.send:      Message part: Main-Type: text
2011-08-22 15:20:54,513 email2trac cy.send:      Message part: Content-Type: text/plain
2011-08-22 15:20:54,513 email2trac cy.send: function inline_part()
2011-08-22 15:20:54,514 email2trac cy.send: function unique_attachment_names()
2011-08-22 15:20:54,514 email2trac cy.send: function get_body_text()
2011-08-22 15:20:54,572 email2trac cy.send: function attach_attachments()
2011-08-22 15:20:54,573 email2trac cy.send: function notify()
2011-08-22 15:20:54,573 email2trac cy.send:      Notify reporter set
2011-08-22 15:20:54,573 email2trac cy.send:      Using Email2TracNotification function AlwaysNotifyReporter
2011-08-22 15:20:54,864 email2trac cy.send: Failure sending notification on creation of ticket #126: 'NoneType' object has no attribute 'replace'

comment:15 follow-up: Changed 9 years ago by bas

Just be sure where the error is, else i am clueless. Can you check the trac,log (trac has its own logging) and change the AlwaysNotifyReporter? again?

def AlwaysNotifyReporter(self, resid):
    """
    Copy of def notify() to manipulate recipents to always include reporter for the
    notification.
    """
    print torcpts, ccrcpts, sender_email, resid
    (torcpts, ccrcpts) = self.get_recipients(resid) #suspect the error here HvB
    print "get_recipients finished"
                
        
    if not tktparser.email_header_acl('notify_reporter_black_list', sender_email, False):
        ## additionally append sender (regardeless of settings in trac.ini)
        #
        if not sender_email in torcpts:
            torcpts.append(sender_email)
    
    self.begin_send()
    self.send(torcpts, ccrcpts)
    self.finish_send()

Thanks for the effort

Version 1, edited 9 years ago by bas (previous) (next) (diff)

comment:16 in reply to: ↑ 15 Changed 9 years ago by noc@…

Replying to bas:

Changed as you wrote. The same test:

# cat msg.txt | email2trac -p project.

Log:

2011-08-25 10:31:42,932 email2trac project: function get_message_parts()
2011-08-25 10:31:42,932 email2trac project:      Message part: Main-Type: multipart
2011-08-25 10:31:42,932 email2trac project:      Message part: Content-Type: multipart/mixed
2011-08-25 10:31:42,933 email2trac project:      Skipping multipart container
2011-08-25 10:31:42,933 email2trac project:      Message part: Main-Type: text
2011-08-25 10:31:42,933 email2trac project:      Message part: Content-Type: text/plain
2011-08-25 10:31:42,933 email2trac project: function inline_part()
2011-08-25 10:31:42,934 email2trac project:      Message part: Main-Type: text
2011-08-25 10:31:42,934 email2trac project:      Message part: Content-Type: text/plain
2011-08-25 10:31:42,935 email2trac project: function inline_part()
2011-08-25 10:31:42,935 email2trac project: function unique_attachment_names()
2011-08-25 10:31:42,935 email2trac project: function get_body_text()
2011-08-25 10:31:42,991 email2trac project: function attach_attachments()
2011-08-25 10:31:42,991 email2trac project: function notify()
2011-08-25 10:31:42,991 email2trac project:      Notify reporter set
2011-08-25 10:31:42,992 email2trac project:      Using Email2TracNotification function AlwaysNotifyReporter
2011-08-25 10:31:43,079 email2trac project: Failure sending notification on creation of ticket #127: 'NoneType' object has no attribute 'replace'

comment:17 Changed 9 years ago by noc@…

To bas:

As you see, tickets were created (#126, #127)

Thanks ahead. Till isn't working.

noc@cytalk

comment:18 Changed 9 years ago by anonymous

Yes experiencing the same

comment:19 Changed 7 years ago by bas

In 633:

rewrote notification system for email2trac: see #266, #297

I have defined my own TicketNotifyEmail? class: Email2TracNotifyEmail. Now it easy to implemenent:

  • notify_reporter
  • notify_replyto_rewrite

notify_replyto_rewrite can handle 2 formats for email2trac.conf

  • use_mail_domain:email2trac.surfsara.nl
    • the replyto field will be set to <ticket_id>@email2trac.surfsara.nl
  • use_trac_smtp_replyto:+
    • Will use the setting in trac.ini for smtp_replto and use '+' as recipient delimiter eg: smtp_replyto: email2trac@… then reply_to will be: email2trac+<ticket_id>@surfsara.nl

comment:20 Changed 7 years ago by bas

  • Description modified (diff)

Can you test the trunk version

comment:21 Changed 6 years ago by bas

  • Resolution set to fixed
  • Status changed from assigned to closed

No reply will close it and i lot of stuff is obsolote

Add Comment

Modify Ticket

Change Properties
Action
as closed The owner will remain bas.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.